Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.bean
Class ExportInfo

    java.lang.Object
      jet.bean.ExportInfo

    public class ExportInfo

extends java.lang.Object

The `ExportInfo` class is used for exporting. It contains all the information for exporting report results.

Constructor Summary
`ExportInfo()` Constructs the information of exporting task.
`ExportInfo(java.lang.String reportName)` Constructs the information of exporting task.

Method Summary
`java.lang.String` | `getFileName()` Gets the output file name with full path.
`int[]` | `getPageNums()` Gets the page numbers of report result that will be exported.
`int[][]` | `getPageRange()` Gets the exported page ranges of report result.
`java.lang.String` | `getReportName()` Gets the report instance name.
`java.lang.String` | `getRstName()` Gets the JReport Result (RST) filename.
`java.io.OutputStream` | `getStream()` Gets the output stream which report result exported to.
`java.lang.String` | `getViewName()` Gets the view instance name of view that will be exported.
`void` | `setFileName(java.lang.String fileName)` Indicates the output file name with full path.
`void` | `setPageNums(int[] pageNums)` Indicates the page numbers of report result that will be exported.
`void` | `setPageRange(int[][] pageRange)` Indicates the exported page ranges of report result.
`void` | `setReportName(java.lang.String rptName)` Indicates the report instance name of reportset that will be exported.
`void` | `setRstName(java.lang.String rstName)` Indicates the JReport Result (RST) filename with full file path.
`void` | `setStream(java.io.OutputStream stream)` Indicates the output stream which report result exported to.
`void` | `setViewName(java.lang.String viewName)` Indicates the view instance name of report that will be exported.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExportInfo

    public ExportInfo()

  Constructs the information of exporting task.

### ExportInfo

    public ExportInfo(java.lang.String reportName)

  Constructs the information of exporting task. * @param reportName Indicates the report instance name of reportset that will be exported.

Method Detail

### setPageNums

    public void setPageNums(int[] pageNums)

  Indicates the page numbers of report result that will be exported.

  Parameters:
    `pageNums` - Specifies the page numbers of report result that will be exported. The page number start from 1 and end with the total page numbers of the result.

### getPageNums

    public int[] getPageNums()

  Gets the page numbers of report result that will be exported.

  Returns:
    the page numbers's list of report that will be exported

### setReportName

    public void setReportName(java.lang.String rptName)

  Indicates the report instance name of reportset that will be exported.

  Parameters:
    `rptName` - the report instance name.

### getReportName

    public java.lang.String getReportName()

  Gets the report instance name.

  Returns:
    the report instance name.

### setViewName

    public void setViewName(java.lang.String viewName)

  Indicates the view instance name of report that will be exported. Currently JReport only supports a single view of one report, so it could be null.

  Parameters:
    `viewName` - Specifies the view instance name of view.

### getViewName

    public java.lang.String getViewName()

  Gets the view instance name of view that will be exported.

  Returns:
    the view instance name of view.

### setRstName

    public void setRstName(java.lang.String rstName)

  Indicates the JReport Result (RST) filename with full file path. JReport Engine Bean export the report result to this file.

  Parameters:
    `rstName` - the JReport Result file(.rst) name.

### getRstName

    public java.lang.String getRstName()

  Gets the JReport Result (RST) filename.

  Returns:
    the JReport Result (.rst) filename.

### setFileName

    public void setFileName(java.lang.String fileName)

  Indicates the output file name with full path.

  Parameters:
    `fileName` - Specifies the output file name.

### getFileName

    public java.lang.String getFileName()

  Gets the output file name with full path.

  Returns:
    the output file name.

### setStream

    public void setStream(java.io.OutputStream stream)

  Indicates the output stream which report result exported to.

  Parameters:
    `stream` - output stream which report result exported to.

### getStream

    public java.io.OutputStream getStream()

  Gets the output stream which report result exported to.

  Returns:
    output stream which report result exported to.

### setPageRange

    public void setPageRange(int[][] pageRange)

  Indicates the exported page ranges of report result.

  Parameters:
    `pageRange` - the exported page ranges of report.
  See Also:
    `PDFParameter```

### getPageRange

    public int[][] getPageRange()

  Gets the exported page ranges of report result.

  Returns:
    the exported page ranges of report

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD